package td2jira.sync.impl;

import td2jira.jira.IJIRAConnector;
import td2jira.jira.JIRAIssue;
import td2jira.td.ITDConnector;
import td2jira.td.api.IBug;

public interface IProcessIssuePair {
	public static enum ProcessingResult { PROCESS_NEXT_RULE, PROCESS_NEXT_ISSUE };
	
	ProcessingResult process(JIRAIssue jiraIssue, IBug tdIssue) throws Exception;

	void setJiraConnector(IJIRAConnector jiraConnector);
	void setTdConnector(ITDConnector tdConnector);
}